# programa para animar un punto que corre sobre
# una circunferencia

# Fraga 6/07/2010


use strict;

my $delta = 15;

my $n = 360/$delta;

# Abrimos gnuplot
open ( GNUPLOT, "|gnuplot" ) or die "No puedo abrir gnuplot\n";
select GNUPLOT;
$| = 1;

print GNUPLOT "set xrange [-12:12]\n";
print GNUPLOT "set yrange [-12:12]\n";
print GNUPLOT "set size ratio -1\n";
print GNUPLOT "unset border\n";
print GNUPLOT "unset tics\n";
print GNUPLOT "unset key\n";

my $i = 0;
while( 1 ) {
	my $ang = $i*$delta*3.1416/180;
	$i++;

	if( $i >= $n ) { $i=0; }

	# Calculamos el punto
	my $x = 10*cos( -$ang );
	my $y = 10*sin( -$ang );

	`rm -f tmp`;
	`echo "$x $y" > tmp`;

    # graficar el punto
	print GNUPLOT "plot 'tmp' u 1:2 w p ps 4 pt 6\n";

	`sleep 0.2`;
}
